\definecolor{qqqqff}{rgb}{0.,0.,1.}
\definecolor{ffqqqq}{rgb}{1.,0.,0.}
\definecolor{cqcqcq}{rgb}{0.752941176471,0.752941176471,0.752941176471}
\begin{tikzpicture}[scale=0.9][line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\draw [color=cqcqcq,dash pattern=on 3pt off 3pt, xstep=1.0cm,ystep=1.0cm] (-2.76,-4.86) grid (5.66,4.56);
\draw[->,color=black] (-2.76,0.) -- (5.66,0.);
\foreach \x in {-2.,-1.,1.,2.,3.,4.,5.}
\draw[shift={(\x,0)},color=black] (0pt,2pt) -- (0pt,-2pt) node[below] {\footnotesize $\x$};
\draw[->,color=black] (0.,-4.76) -- (0.,4.56);
\foreach \y in {-4.,-3.,-2.,-1.,1.,2.,3.,4.}
\draw[shift={(0,\y)},color=black] (2pt,0pt) -- (-2pt,0pt) node[left] {\footnotesize $\y$};
\draw[color=black] (0pt,-10pt) node[right] {\footnotesize $0$};
\clip(-2.76,-4.86) rectangle (5.66,4.56);
\draw[line width=1.2pt,color=qqqqff, smooth, samples=1000, domain=-2:5] plot (\x,{-(\x)*(\x)+4*(\x)}) ;

\draw[line width=1.2pt,color=ffqqqq, smooth, samples=1000, domain=-2:5] plot (\x,{(\x)*(\x)-2*(\x)-3}) ;
\begin{scriptsize}
\draw[color=ffqqqq] (-1.56,4.1) node {$C_f$};
\draw[color=qqqqff] (-0.74,-4.38) node {$C_g$};
\end{scriptsize}
\end{tikzpicture}